Bug 802002 - Established connnections keep increasing during graph change
Established connnections keep increasing during graph change
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Raghavendra G
Depends On:
  Show dependency treegraph
Reported: 2012-03-10 01:48 EST by Anush Shetty
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-10 04:39:45 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-03-10 01:48:16 EST
Description of problem: While doing volume set in a loop to trigger graph change, the number of established connections for the glusterfs client process keep increasing exponentially 

Version-Release number of selected component (if applicable): upstream

How reproducible: Consistently

Steps to Reproduce:
1. netstat -np
Comment 1 Amar Tumballi 2012-03-25 03:14:27 EDT
Check if its already fixed.
Comment 2 Anush Shetty 2012-03-26 01:04:24 EDT
Still seen in the mainline/3.3.0qa31
Comment 3 Raghavendra G 2012-04-02 23:36:58 EDT
After a graph-switch, atleast one request should be sent to /dev/fuse. Without it, fuse-bridge cannot initiate cleanup. Can you check whether this issue exists even with an operation like ls b/w graph switches?
Comment 4 Raghavendra G 2012-04-10 04:39:45 EDT
Closing this bug, since with operations on mountpoint, cleanup is done.

Note You need to log in before you can comment on or make changes to this bug.